[arch-commits] Commit in python-zope-exceptions/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Oct 25 20:13:06 UTC 2019


    Date: Friday, October 25, 2019 @ 20:13:04
  Author: felixonmars
Revision: 519796

archrelease: copy trunk to community-staging-any

Added:
  python-zope-exceptions/repos/community-staging-any/
  python-zope-exceptions/repos/community-staging-any/PKGBUILD
    (from rev 519795, python-zope-exceptions/trunk/PKGBUILD)

----------+
 PKGBUILD |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

Copied: python-zope-exceptions/repos/community-staging-any/PKGBUILD (from rev 519795, python-zope-exceptions/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2019-10-25 20:13:04 UTC (rev 519796)
@@ -0,0 +1,51 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-zope-exceptions
+pkgname=('python-zope-exceptions' 'python2-zope-exceptions')
+pkgver=4.3
+pkgrel=2
+pkgdesc="Generic exceptions and implementations for Zope"
+arch=('any')
+url="https://github.com/zopefoundation/zope.exceptions"
+license=('ZPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-zope-interface'
+             'python2-zope-interface')
+checkdepends=('python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.exceptions/archive/$pkgver.tar.gz")
+sha512sums=('c327b52090ea30604d9bd6d2e00b5ebbef54571c8723ecde35ffaa7301d39e819ed59fb051bc3515560830e0834c249cb98b5db2ba1fb2639a5d19b531875680')
+
+prepare() {
+  cp -a zope.exceptions-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/zope.exceptions-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/zope.exceptions-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/zope.exceptions-$pkgver
+  python setup.py test || :
+
+  cd "$srcdir"/zope.exceptions-$pkgver-py2
+  python2 setup.py test
+}
+
+package_python-zope-exceptions() {
+  depends=('python-setuptools' 'python-zope-interface')
+
+  cd zope.exceptions-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-zope-exceptions() {
+  depends=('python2-setuptools' 'python2-zope-interface')
+
+  cd zope.exceptions-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list